PSmartNotifierFunction Class Reference

`#include <notifier_ext.h>`

Inheritance diagram for PSmartNotifierFunction:

## Public Member Functions

| PSmartNotifierFunction (unsigned id)
unsigned | GetNotifieeID () const
void * | GetNotifiee () const
PBoolean | IsValid () const
Public Member Functions inherited from PNotifierFunctionTemplate< ParmType >
| PNotifierFunctionTemplate (void *obj)
| Create a notification function instance. More...
virtual void | Call (PObject &notifier, ParmType extra) const =0
| Execute the call to the actual notification function on the object instance contained in this object. More...
Public Member Functions inherited from PSmartObject
| PSmartObject ()
| Construct a new smart object, subject to a `PSmartPointer` instance referencing it. More...
Public Member Functions inherited from PObject
virtual | ~PObject ()
virtual PObject * | Clone () const
| Create a copy of the class on the heap. More...
virtual PINDEX | HashFunction () const
| This function yields a hash value required by the `PDictionary` class. More...
virtual const char * | GetClass (unsigned ancestor=0) const
| Get the current dynamic type of the object instance. More...
PBoolean | IsClass (const char *cls) const
virtual PBoolean | InternalIsDescendant (const char *clsName) const
| Determine if the dynamic type of the current instance is a descendent of the specified class. More...
virtual Comparison | Compare (const PObject &obj) const
| Compare the two objects and return their relative rank. More...
virtual Comparison | CompareObjectMemoryDirect (const PObject &obj) const
| Determine the byte wise comparison of two objects. More...
bool | operator== (const PObject &obj) const
| Compare the two objects. More...
bool | operator!= (const PObject &obj) const
| Compare the two objects. More...
bool | operator< (const PObject &obj) const
| Compare the two objects. More...
bool | operator> (const PObject &obj) const
| Compare the two objects. More...
bool | operator<= (const PObject &obj) const
| Compare the two objects. More...
bool | operator>= (const PObject &obj) const
| Compare the two objects. More...
virtual void | PrintOn (ostream &strm) const
| Output the contents of the object to the stream. More...
virtual void | ReadFrom (istream &strm)
| Input the contents of the object from the stream. More...

## Protected Attributes

unsigned | m_NotifieeID
Protected Attributes inherited from PNotifierFunctionTemplate< ParmType >
void * | object
| Object instance to receive the notification function call. More...
Protected Attributes inherited from PSmartObject
PAtomicInteger | referenceCount
| Count of number of instances of `PSmartPointer` that currently reference the object instance. More...

## Additional Inherited Members

Public Types inherited from PObject
enum | Comparison { LessThan = -1, EqualTo = 0, GreaterThan = 1 }
| Result of the comparison operation performed by the `Compare()` function. More...
Static Public Member Functions inherited from PObject
static const char * | Class ()
| Get the name of the class as a C string. More...
static Comparison | InternalCompareObjectMemoryDirect (const PObject *obj1, const PObject *obj2, PINDEX size)
| Internal function caled from CompareObjectMemoryDirect() More...
Protected Member Functions inherited from PObject
| PObject ()
| Constructor for PObject, made protected so cannot ever create one on its own. More...

## Constructor & Destructor Documentation

## PSmartNotifierFunction()

PSmartNotifierFunction::PSmartNotifierFunction | ( | unsigned | id | ) |

inline

## Member Function Documentation

## GetNotifiee()

void* PSmartNotifierFunction::GetNotifiee | ( |  | ) | const

inline

References PSmartNotifieeRegistrar::GetNotifiee().

## GetNotifieeID()

unsigned PSmartNotifierFunction::GetNotifieeID | ( |  | ) | const

inline

## IsValid()

PBoolean PSmartNotifierFunction::IsValid | ( |  | ) | const

inline

References PSmartNotifieeRegistrar::GetNotifiee().

## Member Data Documentation

## m_NotifieeID

unsigned PSmartNotifierFunction::m_NotifieeID

protected

The documentation for this class was generated from the following file:

- notifier_ext.h